Public Class ConcursoPostulanteBusinessObject
    Inherits BusinessObject(Of ConcursoPostulante)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New ConcursoPostulanteDbHelper
    End Sub

    Public Sub New(ByVal entity As ConcursoPostulante)
        MyBase.New(entity)
        DbHelper = New ConcursoPostulanteDbHelper
    End Sub

    Public Sub New(ByVal idConcursoPostulante As Int32, Optional ByVal foreignLevel As Integer = 0)
        Me.New()
        _Entity.idConcursoPostulante = idConcursoPostulante
        Dim Entity_Aux As ConcursoPostulante = DbHelper.SelectEntity(_Entity, foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As ConcursoPostulanteBusinessObject
    Protected Shared Function GetDdHelperInstance() As ConcursoPostulanteDbHelper
        If _Instance Is Nothing Then
            _Instance = New ConcursoPostulanteBusinessObject
        End If
        Return CType(_Instance.DbHelper, ConcursoPostulanteDbHelper)
    End Function

    Public Shared Function GetListConcursoPostulante(Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListConcursoPostulanteByEstadoConcursoPostulante(ByVal idEstadoConcursoPostulante As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Return GetDdHelperInstance.GetListConcursoPostulanteByEstadoConcursoPostulante(idEstadoConcursoPostulante, foreignLevel)
    End Function

    Public Shared Function GetListConcursoPostulanteByPlaza(ByVal Identificador As String, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Return GetDdHelperInstance.GetListConcursoPostulanteByPlaza(Identificador, foreignLevel)
    End Function

    Public Shared Function GetListConcursoPostulanteByPlaza(ByVal idPlaza As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of ConcursoPostulante)
        Return GetDdHelperInstance.GetListConcursoPostulanteByPlaza(idPlaza, foreignLevel)
    End Function

#End Region
End Class

